Difference between revisions of "How to build Gimias 1.4.1 in Linux"

From user's Wiki!
Jump to: navigation, search
m (Build Tools)
Line 9: Line 9:
 
Tools that are available as packages of all major linux distributions (that is in most cases the easiest way to install them):
 
Tools that are available as packages of all major linux distributions (that is in most cases the easiest way to install them):
 
* An SVN client (e.g. the [http://subversion.apache.org/packages.html official command-line client] or the graphical client [[http://www.syntevo.com/smartsvn/download.html Smart SVN]])
 
* An SVN client (e.g. the [http://subversion.apache.org/packages.html official command-line client] or the graphical client [[http://www.syntevo.com/smartsvn/download.html Smart SVN]])
* A '''C''' and '''C++''' compiler (we recommend the [http://gcc.gnu.org/ GNU Compiler Collection (gcc)])
+
* A ''C'' and ''C++'' compiler (we recommend the [http://gcc.gnu.org/ GNU Compiler Collection (gcc)])
 
* [http://www.cmake.org/cmake/resources/software.html CMake >= 2.8]
 
* [http://www.cmake.org/cmake/resources/software.html CMake >= 2.8]
 
* [http://www.python.org/getit/ Python >= 2.4]
 
* [http://www.python.org/getit/ Python >= 2.4]

Revision as of 07:29, 25 July 2011

This manual is meant to be used for Gimias 1.3.0 release, for previous manuals contact the mailing list. This page is not complete. Please take a look at the Windows page to get further details.

Prerequisites

Build Tools

Before checking out and building GIMIAS, make sure that you have installed the following tools:

Tools that are available as packages of all major linux distributions (that is in most cases the easiest way to install them):

Tools that don't (yet) have a package in major Linux distributions:

Libraries

You should also check that you have installed the following packages in your system:

  • gtk2.0 (i.e. sudo apt-get install libgtk2.0-dev ...)
  • UUID-dev
  • python-dev
  • imagemagick
  • doxygen
  • subversion
  • ruby-dev
  • 'Remark: There could be a problem with the official driver of NVIDIA: it writes on some OpenGL (Mesa) headers . You have to uninstall it and install it again.
  • libxt-dev: in order to have the file X11/StringDefs.h that you istall with this package

Steps

  1. Check out Gimias from repository with svn client
  2. Configure using CSnake
  3. Build
 * Option 1: Fully Automatic
 * Option 2: Step by Step

Check out Gimias

Checkout project from repository URL: https://svncistib.upf.edu/repos/toolkit/gimias/stable/GIMIAS_1_4_0

Configure CSnake

Options Tab

Option Tab

Context Tab

Context Tab

Select Projects Tab

Select Projects Tab

Option 1: Automatic Build

Once you have configured CSnake you can click on the Configure All button in order to build everything automatically. This will take a while.